<template>
  <div class="sections">
    <div class="left">
      <Table />
      <!-- <Chat /> -->
    </div>
    <div class="right">
      <RightSideBar v-if="isReady && areSpotTableItems" />
    </div>
  </div>
</template>

<script>
import Table from './table/index'
import RightSideBar from './rightSideBar/index'
// import Chat from '@/components/chat'
import { LOADED_STATE } from '@/resources/enum'
import { mapGetters, mapActions } from 'vuex'

export default {
  components: {
    Table,
    RightSideBar,
    // Chat,
  },
  computed: {
    ...mapGetters({
      loadedOrderState: 'spot/loadedOrderState',
      loadedAuctionState: 'spot/loadedAuctionState',
      spotTableItems: 'spot/spotTableItems',
    }),
    isReady() {
      return this.loadedOrderState === LOADED_STATE.READY && this.loadedAuctionState === LOADED_STATE.READY
    },
    areSpotTableItems() {
      return !!this.spotTableItems.length
    },
  },
  methods: {
    ...mapActions({
      getUserInfo: 'spot/getUserInfo'
    }),
  },
  mounted() {
    this.getUserInfo()
  },
}
</script>
<style lang="scss">
@import '~common-components/src/static/css/variables';
.sections {
  display: flex;
  padding: 20px;
  width: 100%;
  background-color: $blue-150;
  .left {
    width: 100%;
  }
  .right {
    margin-left: 10px;
    width: 350px;
    padding: 20px;
    min-width: 350px;
  }
  .left,
  .right {
    background: $notify-ob_notification_item_snackbars_font_color;
  }
  .ob-func-panel__control-dropdown-item:first-child,
  .ob-func-panel__control-dropdown-item:nth-child(2) {
    display: none;
  }
  @media screen and (min-width: 1600px) {
    .right {
      min-width: 450px;
      width: 450px;
    }
  }
}
</style>
